package com.gyt.shr.entity;


import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;

import java.util.Date;
import java.util.List;

@TableName("T_HR_HRCertificationBill")
public class  Certificat {

    @TableField("fnumber")
    private String billNo;

    @TableField("FBIZDATE")
    private Date bizDate;

    @TableField("FCertificationBillTypeId")
    private String certificationBillTypeId;

    @TableField("FPersonID")
    private String personId;

    // 关联属性
    private CertificatType billType;
    private List<MessageLogs> messageLogs;

    // 省略 getter 和 setter 方法
    public String getBillNo() {
        return billNo;
    }

    public void setBillNo(String billNo) {
        this.billNo = billNo;
    }

    public Date getBizDate() {
        return bizDate;
    }

    public void setBizDate(Date bizDate) {
        this.bizDate = bizDate;
    }

    public String getCertificationBillTypeId() {
        return certificationBillTypeId;
    }

    public void setCertificationBillTypeId(String certificationBillTypeId) {
        this.certificationBillTypeId = certificationBillTypeId;
    }

    public String getPersonId() {
        return personId;
    }

    public void setPersonId(String personId) {
        this.personId = personId;
    }

    public CertificatType getBillType() {
        return billType;
    }

    public void setBillType(CertificatType billType) {
        this.billType = billType;
    }

    public List<MessageLogs> getMessageLogs() {
        return messageLogs;
    }

    public void setMessageLogs(List<MessageLogs> messageLogs) {
        this.messageLogs = messageLogs;
    }
}
